Subject: Re: bug#70774: Fwd: The Artanis pkg issue

From: [email-masked]
Date: Sat, 04 May 2024 23:49:03 +0000

May 4, 2024 at 3:33 PM, "jbranso--- via Bug reports for GNU Guix" <[email-masked]> wrote:

> 
> Apologies for top posting...The below email seemed more like a bug.
> 
> Typically guix-devel is for making "large" or complicated changes to guix.
> 
> I'm forwarding your message over to [email-masked]. 
> 
> Also, do you use Artanis? I've tried to get it to work a few times...
> 
> and I can never quite figure it out. My guile web framework is...
> 
> guile haunt at the moment. :)
> 
> Joshua 

Per this message, it looks like this bug is done!

https://mail.gnu.org/archive/html/guix-devel/2024-05/msg00033.html

I'm closing this bug.

Joshua

> 
> -------- Forwarded message -------
> 
> From: "Nala Ginrut" <[email-masked]>
> 
> To: [email-masked]
> 
> Sent: May 4, 2024 at 11:36 AM
> 
> Subject: The Artanis pkg issue
> 
> Dear Guix folks, I saw the lines in Artanis pkg info:
> 
> -----------------------------cut---------------------
> 
>  (delete-file-recursively "artanis/third-party/json.scm")
> 
>  (delete-file-recursively "artanis/third-party/json")
> 
>  (delete-file-recursively "artanis/third-party/redis.scm")
> 
>  (delete-file-recursively "artanis/third-party/redis")
> 
> -----------------------------end----------------------
> 
> I understand these lines are aiming to unbundle guile-json and guile-redis, however, recently I've unbundled them in vanilla Artanis. So there's something changed. 
> 
> You may need to keep third-party/json.scm and third-party/edis.scm in the next release since they are the wrappers, and it's possible to make further abstracts then. In addition, there are necessary renaming operations for compatibility.
> 
> Best regards.
>